# Class FixedBattleConfig

- Defined in src/battle.ts:368

#####
Index

### Constructors

constructor

### Properties

battleType
double
getEnemyParty
getTrainer
seedOffsetWaveIndex

### Methods

setBattleType
setDouble
setGetEnemyPartyFunc
setGetTrainerFunc
setSeedOffsetWave

## Constructors

### constructor

- new FixedBattleConfig(): FixedBattleConfig

- #### Returns FixedBattleConfig

## Properties

### battleType

battleType: BattleType

- Defined in src/battle.ts:369

### double

double: boolean

- Defined in src/battle.ts:370

### getEnemyParty

getEnemyParty: GetEnemyPartyFunc

- Defined in src/battle.ts:372

### getTrainer

getTrainer: GetTrainerFunc

- Defined in src/battle.ts:371

### seedOffsetWaveIndex

seedOffsetWaveIndex: number

- Defined in src/battle.ts:373

## Methods

### setBattleType

- setBattleType(battleType): FixedBattleConfig

- #### Parameters

  - battleType: BattleType

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:375

### setDouble

- setDouble(double): FixedBattleConfig

- #### Parameters

  - double: boolean

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:380

### setGetEnemyPartyFunc

- setGetEnemyPartyFunc(getEnemyPartyFunc): FixedBattleConfig

- #### Parameters

  - getEnemyPartyFunc: GetEnemyPartyFunc

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:390

### setGetTrainerFunc

- setGetTrainerFunc(getTrainerFunc): FixedBattleConfig

- #### Parameters

  - getTrainerFunc: GetTrainerFunc

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:385

### setSeedOffsetWave

- setSeedOffsetWave(seedOffsetWaveIndex): FixedBattleConfig

- #### Parameters

  - seedOffsetWaveIndex: number

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:395